Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etee.ra.revoke._1_0.protocol
Class RevocableCertificatesDataResponse

    java.lang.Object
      be.fgov.ehealth.etee.ra.revoke._1_0.protocol.RevocableCertificatesDataResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2019-04-01T01:38:33+02:00",
               comments="JAXB RI v2.2.11")
    public class RevocableCertificatesDataResponse

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Status" type="{urn:be:fgov:ehealth:etee:ra:revoke:1_0:protocol}StatusType"/>
             <element name="SSIN" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="RevocablePersonalCertificate" type="{urn:be:fgov:ehealth:etee:ra:revoke:1_0:protocol}RevocableCertificateType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="RevocableOrganizationCertificate" type="{urn:be:fgov:ehealth:etee:ra:revoke:1_0:protocol}RevocableCertificateType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="AAOrganizationAuth" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`RevocableCertificatesDataResponse()`

Method Summary
`byte[]` | `getAAOrganizationAuth()` Gets the value of the aaOrganizationAuth property.
`List<RevocableCertificateType>` | `getRevocableOrganizationCertificates()` Gets the value of the revocableOrganizationCertificates property.
`List<RevocableCertificateType>` | `getRevocablePersonalCertificates()` Gets the value of the revocablePersonalCertificates property.
`String` | `getSSIN()` Gets the value of the ssin property.
`StatusType` | `getStatus()` Gets the value of the status property.
`void` | `setAAOrganizationAuth(byte[] value)` Sets the value of the aaOrganizationAuth property.
`void` | `setSSIN(String value)` Sets the value of the ssin property.
`void` | `setStatus(StatusType value)` Sets the value of the status property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevocableCertificatesDataResponse

    public RevocableCertificatesDataResponse()

Method Detail

### getStatus

    public StatusType getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `StatusType`

### setStatus

    public void setStatus(StatusType value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `StatusType`

### getSSIN

    public String getSSIN()

  Gets the value of the ssin property.

  Returns:
    possible object is `String`

### setSSIN

    public void setSSIN(String value)

  Sets the value of the ssin property.

  Parameters:
    `value` - allowed object is `String`

### getRevocablePersonalCertificates

    public List<RevocableCertificateType> getRevocablePersonalCertificates()

  Gets the value of the revocablePersonalCertificates property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the revocablePersonalCertificates property.

  For example, to add a new item, do as follows:

          getRevocablePersonalCertificates().add(newItem);

  Objects of the following type(s) are allowed in the list `RevocableCertificateType`

### getRevocableOrganizationCertificates

    public List<RevocableCertificateType> getRevocableOrganizationCertificates()

  Gets the value of the revocableOrganizationCertificates property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the revocableOrganizationCertificates property.

  For example, to add a new item, do as follows:

          getRevocableOrganizationCertificates().add(newItem);

  Objects of the following type(s) are allowed in the list `RevocableCertificateType`

### getAAOrganizationAuth

    public byte[] getAAOrganizationAuth()

  Gets the value of the aaOrganizationAuth property.

  Returns:
    possible object is byte[]

### setAAOrganizationAuth

    public void setAAOrganizationAuth(byte[] value)

  Sets the value of the aaOrganizationAuth property.

  Parameters:
    `value` - allowed object is byte[]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.17.1 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.